commit:     4df149e36cb0a4649653f48f70e6ae23f82d0e5e
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 25 19:11:23 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Aug 25 19:11:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4df149e3

dev-python/cfn-lint: add 0.63.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/cfn-lint/Manifest               |  1 +
 dev-python/cfn-lint/cfn-lint-0.63.0.ebuild | 54 ++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index ddc583ae6240..69cf8571e5b6 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -2,3 +2,4 @@ DIST cfn-lint-0.61.3.gh.tar.gz 9528542 BLAKE2B 
27f5c82c09a7c1dde520189647480032f
 DIST cfn-lint-0.61.4.gh.tar.gz 9556069 BLAKE2B 
71572546d7e523c11214e32130a7d52461580e487b514846137e6592cb7a1786414556e4bea191aa2e4dddaf338c24e8ea9001e617221ea74b03bd0ea900a5a9
 SHA512 
fd85af770b5b519c9de4df0acbbaa66a8a7f61efd210a793c2e28ad9e6d6ed2d8b3042ca41d7743b2bc4dc0446b42ea2929cba454fdbf097a482a7c268e04000
 DIST cfn-lint-0.61.5.gh.tar.gz 9580886 BLAKE2B 
0e83a604bc8761cd6007039cc28d90e471ef3cd3c542e7ce977d290638bcbff2b196c5d3c5f23b8d6db064b867ab594360dedb86494aba955c065c7cbad8b519
 SHA512 
14a1c282f1d87ce5ddd231f92e01a4edd85a62802f2335ba95470acaa0d8deb0306433124f3d1bea6c965ebfe5b30145431087a71cb1e8b953bf94b5d691bcbf
 DIST cfn-lint-0.62.0.gh.tar.gz 9610430 BLAKE2B 
fdeed685abab1bb701698b02ba961d0460c2fbf631ee6c8c51d17e8087bdbd2a26d366afd6916ff118e047bc1e45e0ac4124cf5140b7dede5cb116e5e49bec3e
 SHA512 
830f3929330cbb6d3ae74c9d172c4540272def94bae4f5a0d181fd41688479bf9e9a82ccb9ccea20b823b8580743722a8cb551d790cab92322c7e472e679d28a
+DIST cfn-lint-0.63.0.gh.tar.gz 9613588 BLAKE2B 
96f36310b9201e39a03fb9ca4e102feed68bd71c6af10f48875055d8e5ce42dff61772d5ba702b3f390a49c5e10077a70eb86206145c132d03f6998ea3f26f4a
 SHA512 
daa8412254234d36b3e65a27fc93dc6af2283830afa6de58c979759b7dc02ec220ebf18b1d116f38356a368223efec787135b36aaac4d2a6444ec6820a0303fb

diff --git a/dev-python/cfn-lint/cfn-lint-0.63.0.ebuild 
b/dev-python/cfn-lint/cfn-lint-0.63.0.ebuild
new file mode 100644
index 000000000000..57fd1d8c6029
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.63.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+       https://github.com/aws-cloudformation/cfn-lint/
+       https://pypi.org/project/cfn-lint/
+"
+SRC_URI="
+       https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/aws-sam-translator-1.47.0[${PYTHON_USEDEP}]
+       dev-python/jsonpatch[${PYTHON_USEDEP}]
+       >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+       dev-python/junit-xml[${PYTHON_USEDEP}]
+       dev-python/networkx[${PYTHON_USEDEP}]
+       >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+       >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # TODO
+       test/unit/module/test_template.py::TestTemplate::test_build_graph
+       # requires git repo
+       
test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+       # Internet
+       
test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+       
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+       
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+       # unpin the deps
+       sed -e 's:~=[0-9.]*::' -i setup.py || die
+       distutils-r1_src_prepare
+}

Reply via email to